My Oracle Support Banner

サーバが oracle.security.jps.JpsException: [PolicyUtil] Exception while getting default policy Provider エラーで起動に失敗する (Doc ID 1675631.1)

Last updated on AUGUST 17, 2020

適用範囲:

Oracle WebLogic Server - バージョン 10.3 以降
この文書の内容はすべてのプラットフォームに適用されます。

現象


サーバログ中の、次の <Critical> の例外で、サーバが起動に失敗することがあります:

####<Mar 28, 2012 9:07:57 AM CDT> <Critical> <WebLogicServer> <FOOMACHINE> <AdminServer> <Main Thread> <> <> <> <1332943677186> <BEA-000386> <Server subsystem failed. Reason: weblogic.security.SecurityInitializationException: The loading of OPSS java security policy provider failed due to exception, see the exception stack trace or the server log file for root cause. If still see no obvious cause, enable the debug flag -Djava.security.debug=jpspolicy to get more information. Error message: oracle.security.jps.JpsException: [PolicyUtil] Exception while getting default policy Provider
weblogic.security.SecurityInitializationException: The loading of OPSS java security policy provider failed due to exception, see the exception stack trace or the server log file for root cause. If still see no obvious cause, enable the debug flag -Djava.security.debug=jpspolicy to get more information. Error message: oracle.security.jps.JpsException: [PolicyUtil] Exception while getting default policy Provider
at weblogic.security.service.CommonSecurityServiceManagerDelegateImpl.loadOPSSPolicy(CommonSecurityServiceManagerDelegateImpl.java:1398)
at weblogic.security.service.CommonSecurityServiceManagerDelegateImpl.initialize(CommonSecurityServiceManagerDelegateImpl.java:1018)
at weblogic.security.service.SecurityServiceManager.initialize(SecurityServiceManager.java:873)
at weblogic.security.SecurityService.start(SecurityService.java:141)
at weblogic.t3.srvr.SubsystemRequest.run(SubsystemRequest.java:64)
at weblogic.work.ExecuteThread.execute(ExecuteThread.java:207)
at weblogic.work.ExecuteThread.run(ExecuteThread.java:176)
Caused By: oracle.security.jps.JpsRuntimeException: oracle.security.jps.JpsException: [PolicyUtil] Exception while getting default policy Provider
at oracle.security.jps.internal.policystore.PolicyDelegationController.<init>(PolicyDelegationController.java:291)
at oracle.security.jps.internal.policystore.PolicyDelegationController.<init>(PolicyDelegationController.java
.
.
.
Caused By: org.xml.sax.SAXParseException: <Line 2, Column 1>: XML-20108: (Fatal Error) Start of root element expected.
at oracle.xml.parser.v2.XMLError.flushErrorHandler(XMLError.java:422)
at oracle.xml.parser.v2.XMLError.flushErrors1(XMLError.java:287)
at oracle.xml.parser.v2.NonValidatingParser.parseRootElement(NonValidatingParser.java:381)
at oracle.xml.parser.v2.NonValidatingParser.parseDocument(NonValidatingParser.java:322)
at oracle.xml.parser.v2.XMLParser.parse(XMLParser.java:226)
at oracle.xml.jaxp.JXDocumentBuilder.parse(JXDocumentBuilder.java:155)
at oracle.xml.jaxp.JXDocumentBuilder.parse(JXDocumentBuilder.java:111)
at oracle.ods.virtualization.engine.config.parsers.ConfigParser.parseConfiguration(ConfigParser.java:332)
at oracle.ods.virtualization.engine.config.parsers.ConfigParser.parseConfiguration(ConfigParser.java:304)
at oracle.ods.virtualization.engine.config.parsers.ConfigParser.parseConfiguration(ConfigParser.java:289)
at oracle.ods.virtualization.config.ConfigureAdapters.configure(ConfigureAdapters.java:400)
at oracle.security.jps.internal.igf.ovd.OvdIGFServiceProvider.pushLdapNamesTolibOvd(OvdIGFServiceProvider.java:308)
at oracle.security.jps.internal.idstore.ldap.LdapIdentityStoreProvider.idstorePushToLibOvd(LdapIdentityStoreProvider.java:459)

原因

To view full details, sign in with your My Oracle Support account.

Don't have a My Oracle Support account? Click to get started!


本書の内容
現象
原因
解決策

My Oracle Support provides customers with access to over a million knowledge articles and a vibrant support community of peers and Oracle experts.